Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.writer.imageio
Class ImageIOJPEGImageWriter

    java.lang.Object
      org.apache.xmlgraphics.image.writer.imageio.ImageIOImageWriter
          org.apache.xmlgraphics.image.writer.imageio.ImageIOJPEGImageWriter

All Implemented Interfaces:
  EventListener, IIOWriteWarningListener, ImageWriter

    public class ImageIOJPEGImageWriter

extends ImageIOImageWriter

ImageWriter that encodes JPEG images using Image I/O.

Version:
  $Id: ImageIOJPEGImageWriter.java 1384277 2012-09-13 11:24:56Z phancock $

Constructor Summary
`ImageIOJPEGImageWriter()` Main constructor.

Method Summary
`protected ImageWriteParam` | `getDefaultWriteParam(ImageWriter iiowriter, RenderedImage image, ImageWriterParams params)` Returns the default write parameters for encoding the image.
`protected IIOMetadata` | `updateMetadata(RenderedImage image, IIOMetadata meta, ImageWriterParams params)` Updates the metadata information based on the parameters to this writer.

Methods inherited from class org.apache.xmlgraphics.image.writer.imageio.ImageIOImageWriter
`createMultiImageWriter, createStreamMetadata, getChildNode, getMIMEType, isFunctional, supportsMultiImageWriter, warningOccurred, writeImage, writeImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOJPEGImageWriter

    public ImageIOJPEGImageWriter()

  Main constructor.

Method Detail

### updateMetadata

    protected IIOMetadata updateMetadata(RenderedImage image,
                                         IIOMetadata meta,
                                         ImageWriterParams params)

  Description copied from class: `ImageIOImageWriter`
  Updates the metadata information based on the parameters to this writer.

  Overrides:
    `updateMetadata` in class `ImageIOImageWriter`
  Parameters:
    `image` - the current image being rendered
    `meta` - the metadata
    `params` - the parameters
  Returns:
    the updated metadata

### getDefaultWriteParam

    protected ImageWriteParam getDefaultWriteParam(ImageWriter iiowriter,
                                                   RenderedImage image,
                                                   ImageWriterParams params)

  Returns the default write parameters for encoding the image.

  Overrides:
    `getDefaultWriteParam` in class `ImageIOImageWriter`
  Parameters:
    `iiowriter` - The IIO ImageWriter that will be used
    `image` - the image to be encoded
    `params` - the parameters for this writer instance
  Returns:
    the IIO ImageWriteParam instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.